Subject: Re: PO request for 4K mixer service
From: Dustin Long <[email-masked]>
To: LF Bioenergy Accounts Payable <[email-masked]>, Brock Over <[email-masked]>
Cc: Brandon Barber <[email-masked]>
Date: Thu, 14 Aug 2025 18:38:57 +0000

Approved! Thank you!

Brock, if the final price for the regular service varies from this that is no problem. I am just making sure you have all you need before I go on vacation. The mixer will ship to you next Thursday. Thanks,

[signatureImage]
________________________________
From: LF Bioenergy Accounts Payable <[email-masked]>
Sent: Thursday, August 14, 2025 2:36:50 PM
To: Dustin Long <[email-masked]>; Brock Over <[email-masked]>
Cc: Brandon Barber <[email-masked]>
Subject: RE: PO request for 4K mixer service

Hi Dustin,

Attached please find PO589.  I’ve submitted it for your approval.  Please reject it if you have any changes.  Let me know if you need anything else.

Thank you,

[Logo  Description automatically generated]

Kristie Wise | Accounts Payable Manager

303-478-1145

[email-masked]<mailto:[email-masked]>

lfbioenergy.com<http://www.lfbioenergy.com/> | [THE NEW LINKEDIN LOGO PNG 2022] <https://www.linkedin.com/company/lf-bioenergy/>  | [small-facebook-icon-for-email-23 | Blue Grass Sportsmen's League] <https://www.facebook.com/lfbioenergy>

From: Dustin Long <[email-masked]>
Sent: Thursday, August 14, 2025 12:26 PM
To: LF Bioenergy Accounts Payable <[email-masked]>; Brock Over <[email-masked]>
Cc: Brandon Barber <[email-masked]>
Subject: PO request for 4K mixer service

Good day @LF Bioenergy Accounts Payable<mailto:[email-masked]>,

Please create a PO from the attached document.

@Brock Over<mailto:[email-masked]> yes, the serial number really is P03517 for this mixer. It was mis stamped with a P instead of an M from the factory. Just wanted note that for clarity.

Thanks,

[Logo  Description automatically generated]

Dustin Long | LF3 Lead Plant Operator

567-674-0362

[email-masked]<mailto:[email-masked]>

7662 NY-83
South Dayton NY 14138

lfbioenergy.com<http://www.lfbioenergy.com/> | [THE NEW LINKEDIN LOGO PNG 2022] <https://www.linkedin.com/company/lf-bioenergy/>  | [small-facebook-icon-for-email-23 | Blue Grass Sportsmen's League] <https://www.facebook.com/lfbioenergy>

Book time with Dustin Long <https://outlook.office365.com/owa/calendar/[email-masked]/bookings/>